%define dist WWW-RobotRules
Name: perl-%dist
Version: 6.01
Release: alt1

Summary: Database of robots.txt-derived permissions
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

Conflicts: perl-libwww < 6

BuildArch: noarch

# requires AnyDBM_File and DB_File; not required by any packag
%add_findreq_skiplist */WWW/RobotRules/AnyDBM_File.pm
%add_findreq_skiplist */WWW/RobotRules/DB_File.pm

# Automatically added by buildreq on Mon Mar 21 2011
BuildRequires: perl-DBM perl-URI perl-devel

%description
This module parses /robots.txt files as specified in "A Standard
for Robot Exclusion", at <http://www.robotstxt.org/wc/norobots.html>
Webmasters can use the /robots.txt file to forbid conforming robots
from accessing parts of their web site.

%prep
%setup -q -n %dist-%version
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/WWW*

%changelog
* Mon Mar 21 2011 Alexey Tourbin <at@altlinux.ru> 6.01-alt1
- initial revision
